/* Estilo para el slider y sus elementos */
.slider {
    position: relative;
    width: 100%;
    height: 400px;
    margin: 0;
    overflow: hidden;
    border: 2px solid #dedede;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
}

.slides {
    display: flex;
    transition: transform 0.5s ease-in-out;
    width: 100%;
    height: 100%;
}

.slide {
    flex: 0 0 100%;
    box-sizing: border-box;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.slide img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
    display: block;
    transition: transform 0.3s ease;
    cursor: grab;
}

/* Estilo para el zoom */
.slide img.zoomed {
    cursor: grabbing; /* Cambia el cursor cuando se está arrastrando */
    transform: scale(2); /* Ajusta el nivel de zoom aquí */
    transform-origin: center; /* Establece el origen de la transformación en el centro */
}

/* Estilo para los botones de navegación del slider */
.prev, .next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    border-radius: 50%;
    z-index: 10;
}

.prev {
    left: 10px;
}

.next {
    right: 10px;
}

/* Estilo para las miniaturas */
.thumbnails {
    padding-left: 5px;
    display: flex;
    justify-content: flex-start;
    overflow-x: auto;
    white-space: nowrap;
    background-color: #f4f4f4;
    border-radius: 0 0 10px 10px;
    height: 100px;
}

.thumbnails img {
    width: 80px;
    height: 80px;
    margin: 0 5px;
    cursor: pointer;
    border: 2px solid transparent;
    border-radius: 5px;
    object-fit:contain;
    display: inline-block;
}

.thumbnails img:hover, .thumbnails img.active {
    border-color: #2c3e50;
}
